-- MySQL dump 10.13  Distrib 5.1.32, for Win32 (ia32)
--
-- Host: localhost    Database: cdt
-- ------------------------------------------------------
-- Server version	5.0.51a-community

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Not dumping tablespaces as no INFORMATION_SCHEMA.FILES table on this server
--

--
-- Table structure for table `cdt_agenda`
--

DROP TABLE IF EXISTS `cdt_agenda`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cdt_agenda` (
  `ID_agenda` smallint(5) unsigned NOT NULL auto_increment,
  `prof_ID` smallint(4) unsigned NOT NULL default '0',
  `classe_ID` tinyint(3) unsigned NOT NULL default '0',
  `gic_ID` smallint(5) unsigned NOT NULL default '0',
  `matiere_ID` smallint(5) unsigned NOT NULL default '0',
  `groupe` varchar(255) NOT NULL default '',
  `semaine` varchar(255) NOT NULL default '',
  `jour_pointe` varchar(255) NOT NULL default '',
  `heure` tinyint(4) NOT NULL default '0',
  `duree` varchar(255) default NULL,
  `heure_debut` varchar(255) default NULL,
  `heure_fin` varchar(255) default NULL,
  `theme_activ` varchar(255) default NULL,
  `type_activ` varchar(255) default NULL,
  `a_faire` text,
  `activite` text,
  `rq` text,
  `code_date` varchar(255) NOT NULL default '',
  `date_visa` date NOT NULL default '0000-00-00',
  `edt_modif` enum('O','N') NOT NULL default 'N',
  PRIMARY KEY  (`ID_agenda`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cdt_agenda`
--

LOCK TABLES `cdt_agenda` WRITE;
/*!40000 ALTER TABLE `cdt_agenda` DISABLE KEYS */;
/*!40000 ALTER TABLE `cdt_agenda` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cdt_archive`
--

DROP TABLE IF EXISTS `cdt_archive`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cdt_archive` (
  `NumArchive` smallint(5) unsigned NOT NULL auto_increment,
  `NomArchive` varchar(255) NOT NULL,
  `DateArchive` date NOT NULL,
  PRIMARY KEY  (`NumArchive`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cdt_archive`
--

LOCK TABLES `cdt_archive` WRITE;
/*!40000 ALTER TABLE `cdt_archive` DISABLE KEYS */;
/*!40000 ALTER TABLE `cdt_archive` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cdt_classe`
--

DROP TABLE IF EXISTS `cdt_classe`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cdt_classe` (
  `ID_classe` tinyint(3) unsigned NOT NULL auto_increment,
  `nom_classe` varchar(255) NOT NULL default '',
  `passe_classe` varchar(20) default NULL,
  `code_classe` varchar(20) default NULL,
  PRIMARY KEY  (`ID_classe`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cdt_classe`
--

LOCK TABLES `cdt_classe` WRITE;
/*!40000 ALTER TABLE `cdt_classe` DISABLE KEYS */;
/*!40000 ALTER TABLE `cdt_classe` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cdt_edt`
--

DROP TABLE IF EXISTS `cdt_edt`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cdt_edt` (
  `ID_emploi` smallint(5) unsigned NOT NULL auto_increment,
  `prof_ref` varchar(255) default NULL,
  `jour_semaine` enum('Lundi','Mardi','Mercredi','Jeudi','Vendredi','Samedi','Dimanche') default NULL,
  `semaine` enum('A','B','A et B') default NULL,
  `heure` tinyint(2) unsigned default NULL,
  `classe_ID` tinyint(3) unsigned default NULL,
  `matiere_ID` smallint(5) unsigned default NULL,
  `heure_debut` varchar(255) default NULL,
  `heure_fin` varchar(255) default NULL,
  `couleur_cellule` varchar(255) default NULL,
  `IdentiteProf` varchar(255) default NULL,
  `groupe` varchar(255) NOT NULL default 'Classe entière',
  PRIMARY KEY  (`ID_emploi`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cdt_edt`
--

LOCK TABLES `cdt_edt` WRITE;
/*!40000 ALTER TABLE `cdt_edt` DISABLE KEYS */;
/*!40000 ALTER TABLE `cdt_edt` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cdt_emploi_du_temps`
--

DROP TABLE IF EXISTS `cdt_emploi_du_temps`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cdt_emploi_du_temps` (
  `ID_emploi` smallint(5) unsigned NOT NULL auto_increment,
  `prof_ID` smallint(4) unsigned NOT NULL default '0',
  `jour_semaine` enum('Lundi','Mardi','Mercredi','Jeudi','Vendredi','Samedi','Dimanche') default NULL,
  `semaine` enum('A','B','A et B') NOT NULL default 'A et B',
  `heure` tinyint(2) unsigned NOT NULL default '0',
  `classe_ID` tinyint(3) unsigned default '0',
  `gic_ID` smallint(5) unsigned NOT NULL default '0',
  `groupe` varchar(255) default 'Classe entière',
  `matiere_ID` smallint(5) unsigned default NULL,
  `heure_debut` varchar(255) default NULL,
  `heure_fin` varchar(255) default NULL,
  `duree` varchar(255) default NULL,
  `edt_exist_debut` date NOT NULL default '0000-00-00',
  `edt_exist_fin` date NOT NULL default '2100-00-00',
  `couleur_cellule` varchar(7) default '#CAFDBD',
  `couleur_police` varchar(7) default '#000000',
  `ImportEDT` varchar(255) NOT NULL default 'NON',
  `ID_Import` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`ID_emploi`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cdt_emploi_du_temps`
--

LOCK TABLES `cdt_emploi_du_temps` WRITE;
/*!40000 ALTER TABLE `cdt_emploi_du_temps` DISABLE KEYS */;
/*!40000 ALTER TABLE `cdt_emploi_du_temps` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cdt_evenement_contenu`
--

DROP TABLE IF EXISTS `cdt_evenement_contenu`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cdt_evenement_contenu` (
  `ID_even` smallint(5) NOT NULL auto_increment,
  `titre_even` varchar(50) NOT NULL default '',
  `detail` text,
  `prof_ID` smallint(4) unsigned NOT NULL default '0',
  `date_debut` date NOT NULL default '0000-00-00',
  `heure_debut` varchar(6) NOT NULL default '00h00',
  `date_fin` date NOT NULL default '0000-00-00',
  `heure_fin` varchar(6) NOT NULL default '00h00',
  `date_envoi` date NOT NULL default '0000-00-00',
  `dest_ID` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`ID_even`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cdt_evenement_contenu`
--

LOCK TABLES `cdt_evenement_contenu` WRITE;
/*!40000 ALTER TABLE `cdt_evenement_contenu` DISABLE KEYS */;
/*!40000 ALTER TABLE `cdt_evenement_contenu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cdt_evenement_destinataire`
--

DROP TABLE IF EXISTS `cdt_evenement_destinataire`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cdt_evenement_destinataire` (
  `ID_dest` smallint(5) unsigned NOT NULL auto_increment,
  `even_ID` tinyint(3) unsigned NOT NULL default '0',
  `classe_ID` tinyint(3) unsigned NOT NULL default '0',
  `groupe_ID` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`ID_dest`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cdt_evenement_destinataire`
--

LOCK TABLES `cdt_evenement_destinataire` WRITE;
/*!40000 ALTER TABLE `cdt_evenement_destinataire` DISABLE KEYS */;
/*!40000 ALTER TABLE `cdt_evenement_destinataire` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cdt_fichiers_joints`
--

DROP TABLE IF EXISTS `cdt_fichiers_joints`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cdt_fichiers_joints` (
  `ID_fichiers` smallint(5) unsigned NOT NULL auto_increment,
  `agenda_ID` smallint(5) unsigned NOT NULL default '0',
  `ind_position` tinyint(3) NOT NULL default '1',
  `nom_fichier` varchar(255) NOT NULL default '',
  `prof_ID` smallint(4) unsigned NOT NULL default '0',
  `type` enum('Cours','Travail') default 'Cours',
  `t_code_date` varchar(255) default NULL,
  PRIMARY KEY  (`ID_fichiers`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cdt_fichiers_joints`
--

LOCK TABLES `cdt_fichiers_joints` WRITE;
/*!40000 ALTER TABLE `cdt_fichiers_joints` DISABLE KEYS */;
/*!40000 ALTER TABLE `cdt_fichiers_joints` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cdt_groupe`
--

DROP TABLE IF EXISTS `cdt_groupe`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cdt_groupe` (
  `ID_groupe` tinyint(3) unsigned NOT NULL auto_increment,
  `groupe` varchar(255) NOT NULL default '',
  `code_groupe` varchar(20) default NULL,
  PRIMARY KEY  (`ID_groupe`),
  UNIQUE KEY `groupe` (`groupe`),
  UNIQUE KEY `code_groupe` (`code_groupe`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cdt_groupe`
--

LOCK TABLES `cdt_groupe` WRITE;
/*!40000 ALTER TABLE `cdt_groupe` DISABLE KEYS */;
INSERT INTO `cdt_groupe` VALUES (1,'Classe entière',NULL),(2,'Groupe A',NULL),(3,'Groupe B',NULL),(4,'Groupe Réduit',NULL);
/*!40000 ALTER TABLE `cdt_groupe` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cdt_groupe_interclasses`
--

DROP TABLE IF EXISTS `cdt_groupe_interclasses`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cdt_groupe_interclasses` (
  `ID_gic` smallint(5) unsigned NOT NULL auto_increment,
  `prof_ID` smallint(4) unsigned NOT NULL default '0',
  `nom_gic` varchar(255) NOT NULL default '',
  `commentaire_gic` text,
  `code_gic` varchar(20) default NULL,
  PRIMARY KEY  (`ID_gic`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cdt_groupe_interclasses`
--

LOCK TABLES `cdt_groupe_interclasses` WRITE;
/*!40000 ALTER TABLE `cdt_groupe_interclasses` DISABLE KEYS */;
/*!40000 ALTER TABLE `cdt_groupe_interclasses` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cdt_groupe_interclasses_classe`
--

DROP TABLE IF EXISTS `cdt_groupe_interclasses_classe`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cdt_groupe_interclasses_classe` (
  `ID_gic_classe` smallint(5) unsigned NOT NULL auto_increment,
  `gic_ID` smallint(5) unsigned NOT NULL default '0',
  `classe_ID` tinyint(3) unsigned NOT NULL default '0',
  `groupe_ID` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`ID_gic_classe`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cdt_groupe_interclasses_classe`
--

LOCK TABLES `cdt_groupe_interclasses_classe` WRITE;
/*!40000 ALTER TABLE `cdt_groupe_interclasses_classe` DISABLE KEYS */;
/*!40000 ALTER TABLE `cdt_groupe_interclasses_classe` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cdt_invite`
--

DROP TABLE IF EXISTS `cdt_invite`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cdt_invite` (
  `ID_invite` smallint(5) unsigned NOT NULL auto_increment,
  `prof_ID` smallint(5) unsigned NOT NULL default '0',
  `classe_ID` tinyint(3) unsigned NOT NULL default '0',
  `gic_ID` smallint(5) unsigned NOT NULL default '0',
  `matiere_ID` smallint(5) unsigned NOT NULL default '0',
  `NumArchive` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`ID_invite`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cdt_invite`
--

LOCK TABLES `cdt_invite` WRITE;
/*!40000 ALTER TABLE `cdt_invite` DISABLE KEYS */;
/*!40000 ALTER TABLE `cdt_invite` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cdt_matiere`
--

DROP TABLE IF EXISTS `cdt_matiere`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cdt_matiere` (
  `ID_matiere` smallint(5) unsigned NOT NULL auto_increment,
  `nom_matiere` varchar(255) NOT NULL default '',
  `code_matiere` varchar(20) default NULL,
  PRIMARY KEY  (`ID_matiere`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cdt_matiere`
--

LOCK TABLES `cdt_matiere` WRITE;
/*!40000 ALTER TABLE `cdt_matiere` DISABLE KEYS */;
/*!40000 ALTER TABLE `cdt_matiere` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cdt_message_contenu`
--

DROP TABLE IF EXISTS `cdt_message_contenu`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cdt_message_contenu` (
  `ID_message` smallint(5) NOT NULL auto_increment,
  `message` text NOT NULL,
  `prof_ID` smallint(4) unsigned NOT NULL default '0',
  `date_envoi` date NOT NULL default '0000-00-00',
  `online` enum('O','N') NOT NULL default 'O',
  `dest_ID` tinyint(4) NOT NULL default '0',
  `pp_classe_ID` smallint(5) NOT NULL default '0',
  `pp_groupe_ID` smallint(5) NOT NULL default '0',
  PRIMARY KEY  (`ID_message`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cdt_message_contenu`
--

LOCK TABLES `cdt_message_contenu` WRITE;
/*!40000 ALTER TABLE `cdt_message_contenu` DISABLE KEYS */;
/*!40000 ALTER TABLE `cdt_message_contenu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cdt_message_destinataire`
--

DROP TABLE IF EXISTS `cdt_message_destinataire`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cdt_message_destinataire` (
  `ID_dest` smallint(5) unsigned NOT NULL auto_increment,
  `message_ID` smallint(5) unsigned NOT NULL default '0',
  `classe_ID` tinyint(3) unsigned NOT NULL default '0',
  `groupe_ID` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`ID_dest`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cdt_message_destinataire`
--

LOCK TABLES `cdt_message_destinataire` WRITE;
/*!40000 ALTER TABLE `cdt_message_destinataire` DISABLE KEYS */;
/*!40000 ALTER TABLE `cdt_message_destinataire` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cdt_message_destinataire_profs`
--

DROP TABLE IF EXISTS `cdt_message_destinataire_profs`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cdt_message_destinataire_profs` (
  `ID_dest` smallint(5) unsigned NOT NULL auto_increment,
  `message_ID` smallint(5) unsigned NOT NULL default '0',
  `prof_ID` smallint(4) unsigned NOT NULL default '0',
  PRIMARY KEY  (`ID_dest`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cdt_message_destinataire_profs`
--

LOCK TABLES `cdt_message_destinataire_profs` WRITE;
/*!40000 ALTER TABLE `cdt_message_destinataire_profs` DISABLE KEYS */;
/*!40000 ALTER TABLE `cdt_message_destinataire_profs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cdt_message_fichiers`
--

DROP TABLE IF EXISTS `cdt_message_fichiers`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cdt_message_fichiers` (
  `ID_mesfich` smallint(5) unsigned NOT NULL auto_increment,
  `message_ID` smallint(5) NOT NULL default '0',
  `nom_fichier` varchar(255) NOT NULL default '',
  `prof_ID` smallint(5) NOT NULL default '0',
  PRIMARY KEY  (`ID_mesfich`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cdt_message_fichiers`
--

LOCK TABLES `cdt_message_fichiers` WRITE;
/*!40000 ALTER TABLE `cdt_message_fichiers` DISABLE KEYS */;
/*!40000 ALTER TABLE `cdt_message_fichiers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cdt_params`
--

DROP TABLE IF EXISTS `cdt_params`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cdt_params` (
  `param_nom` varchar(32) NOT NULL default '',
  `param_val` text,
  `param_desc` varchar(255) default NULL,
  PRIMARY KEY  (`param_nom`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cdt_params`
--

LOCK TABLES `cdt_params` WRITE;
/*!40000 ALTER TABLE `cdt_params` DISABLE KEYS */;
INSERT INTO `cdt_params` VALUES ('version','Version 4.8.9.3 Standard','Version du logiciel'),('ind_maj_base','4893','indice de la version'),('date_maj_base','14/05/2011, 7:59 pm','date de la mise à jour'),('old_cdt_access','Non','Acces ancien cahier de textes'),('pp_diffusion','Oui','Autoriser les profs principaux à diffuser un message aux collegues'),('url_logo_etab','http://','Adresse Web du logo etablissement'),('session_timeout','3600','Temps de cloture de session si inactivite'),('url_etab','http://','Adresse Web etablissement'),('nom_etab','','Nom etablissement'),('cdt_LDAP','Non','Version LDAP du CDT ?'),('cdt_LCS','Non','Plugin LCS du CDT ?'),('libelle_devoir','DEVOIR','Libelle attribue par defaut aux (devoirs,controles,ds...)'),('visa_stop_edition','Non','Interdit la modification des fiches saisies si leur date est anterieure à la date du visa'),('url_deconnecte_eleve','index.php','Url de sortie apres deconnexion du cdt'),('url_deconnecte_prof','index.php','Url de sortie apres deconnexion du cdt'),('module_absence','Non','Activation du module absence'),('affichage_compteur','Non','Affiche ou non un compteur ultra simpliste'),('compteur','0','	Le compteur de consulter'),('date_raz_compteur','00000000','	Date de remise a zero du compteur'),('Maj_Archives','Non','MAJ des Archives a faire apres version 4.72'),('modif_passe','Oui','Enseignant peut changer son mot de passe'),('Publication_Import','Oui','Autorisation de publier l\'import des edt'),('Import','','Emploi du temps importe'),('libelle_semaine','0','Libelle de la semaine 0 = A et B  & 1= Paire et impaire '),('modif_login','Non','Enseignant peut changer son login'),('facebook_icon','Oui','Affichage icone facebook'),('site_ferme','Non','Etat du CDT Non=ouvert Oui=ferme'),('devoir_planif','Oui','Autoriser la planification de devoirs en dehors des heures de cours');
/*!40000 ALTER TABLE `cdt_params` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cdt_plages_horaires`
--

DROP TABLE IF EXISTS `cdt_plages_horaires`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cdt_plages_horaires` (
  `ID_plage` tinyint(3) unsigned NOT NULL,
  `h1` char(2) default NULL,
  `mn1` char(2) default NULL,
  `h2` char(2) default NULL,
  `mn2` char(2) default NULL,
  PRIMARY KEY  (`ID_plage`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cdt_plages_horaires`
--

LOCK TABLES `cdt_plages_horaires` WRITE;
/*!40000 ALTER TABLE `cdt_plages_horaires` DISABLE KEYS */;
INSERT INTO `cdt_plages_horaires` VALUES (1,'08','00','09','00'),(2,'09','00','10','00'),(3,'10','00','11','00'),(4,'11','00','12','00'),(5,'12','00','13','00'),(6,'13','00','14','00'),(7,'14','00','15','00'),(8,'15','00','16','00'),(9,'16','00','17','00'),(10,'17','00','18','00'),(11,'18','00','19','00'),(12,'19','00','20','00');
/*!40000 ALTER TABLE `cdt_plages_horaires` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cdt_prof`
--

DROP TABLE IF EXISTS `cdt_prof`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cdt_prof` (
  `ID_prof` smallint(4) unsigned NOT NULL auto_increment,
  `nom_prof` varchar(255) NOT NULL default '',
  `passe` varchar(255) default NULL,
  `identite` varchar(255) default NULL,
  `email` varchar(255) default NULL,
  `email_diffus_restreint` enum('O','N') NOT NULL default 'N',
  `gestion_sem_ab` enum('O','N') NOT NULL default 'O',
  `publier_cdt` enum('O','N') NOT NULL default 'O',
  `stop_cdt` enum('O','N') NOT NULL default 'N',
  `publier_travail` enum('O','N') NOT NULL default 'O',
  `date_maj` date NOT NULL default '0000-00-00',
  `droits` tinyint(3) unsigned NOT NULL default '0',
  `path_fichier_perso` varchar(255) default NULL,
  `xinha_editlatex` enum('O','N') NOT NULL default 'N',
  `xinha_equation` enum('O','N') NOT NULL default 'N',
  `xinha_stylist` enum('O','N') NOT NULL default 'N',
  `acces_rapide` enum('O','N') NOT NULL default 'N',
  `message_invite` enum('O','N') NOT NULL default 'N',
  `afficher_messages` enum('O','N') NOT NULL default 'O',
  `Num_Import` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`ID_prof`),
  UNIQUE KEY `nom_prof` (`nom_prof`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cdt_prof`
--

LOCK TABLES `cdt_prof` WRITE;
/*!40000 ALTER TABLE `cdt_prof` DISABLE KEYS */;
INSERT INTO `cdt_prof` VALUES (1,'Administrateur','fd55b67e904e168a97c87fd283e870f1','Administrateur',NULL,'N','O','O','N','O','0000-00-00',1,NULL,'N','N','N','N','N','O',0);
/*!40000 ALTER TABLE `cdt_prof` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cdt_prof_principal`
--

DROP TABLE IF EXISTS `cdt_prof_principal`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cdt_prof_principal` (
  `ID_pp` smallint(5) unsigned NOT NULL auto_increment,
  `pp_prof_ID` smallint(5) NOT NULL default '0',
  `pp_classe_ID` smallint(5) NOT NULL default '0',
  `pp_groupe_ID` smallint(5) NOT NULL default '0',
  PRIMARY KEY  (`ID_pp`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cdt_prof_principal`
--

LOCK TABLES `cdt_prof_principal` WRITE;
/*!40000 ALTER TABLE `cdt_prof_principal` DISABLE KEYS */;
/*!40000 ALTER TABLE `cdt_prof_principal` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cdt_progression`
--

DROP TABLE IF EXISTS `cdt_progression`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cdt_progression` (
  `ID_progression` tinyint(3) unsigned NOT NULL auto_increment,
  `prof_ID` smallint(4) unsigned NOT NULL default '0',
  `titre_progression` varchar(255) NOT NULL default '',
  `contenu_progression` text,
  PRIMARY KEY  (`ID_progression`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cdt_progression`
--

LOCK TABLES `cdt_progression` WRITE;
/*!40000 ALTER TABLE `cdt_progression` DISABLE KEYS */;
/*!40000 ALTER TABLE `cdt_progression` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cdt_semaine_ab`
--

DROP TABLE IF EXISTS `cdt_semaine_ab`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cdt_semaine_ab` (
  `ID_sem` tinyint(3) NOT NULL auto_increment,
  `semaine` enum('A','B') NOT NULL default 'A',
  `num_semaine` tinyint(3) NOT NULL default '0',
  `s_code_date` varchar(255) NOT NULL default '',
  `date_lundi` varchar(255) NOT NULL default '',
  `date_dimanche` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`ID_sem`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cdt_semaine_ab`
--

LOCK TABLES `cdt_semaine_ab` WRITE;
/*!40000 ALTER TABLE `cdt_semaine_ab` DISABLE KEYS */;
/*!40000 ALTER TABLE `cdt_semaine_ab` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cdt_travail`
--

DROP TABLE IF EXISTS `cdt_travail`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cdt_travail` (
  `ID_travail` int(10) unsigned NOT NULL auto_increment,
  `agenda_ID` smallint(5) NOT NULL default '0',
  `ind_position` tinyint(3) NOT NULL default '0',
  `prof_ID` smallint(4) unsigned NOT NULL default '0',
  `classe_ID` tinyint(3) unsigned NOT NULL default '0',
  `gic_ID` smallint(5) unsigned NOT NULL default '0',
  `matiere_ID` smallint(5) unsigned NOT NULL default '0',
  `groupe` varchar(255) NOT NULL default '',
  `semaine` varchar(255) NOT NULL default '',
  `jour_pointe` varchar(255) NOT NULL default '',
  `heure` varchar(255) NOT NULL default '',
  `code_date` varchar(255) NOT NULL default '',
  `t_groupe` varchar(255) NOT NULL default '',
  `t_semaine` varchar(255) default NULL,
  `t_jour_pointe` varchar(255) default NULL,
  `t_code_date` varchar(255) NOT NULL default '',
  `travail` text,
  `charge` varchar(10) default NULL,
  PRIMARY KEY  (`ID_travail`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cdt_travail`
--

LOCK TABLES `cdt_travail` WRITE;
/*!40000 ALTER TABLE `cdt_travail` DISABLE KEYS */;
/*!40000 ALTER TABLE `cdt_travail` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cdt_type_activite`
--

DROP TABLE IF EXISTS `cdt_type_activite`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cdt_type_activite` (
  `ID_activite` smallint(5) unsigned NOT NULL auto_increment,
  `ID_prof` smallint(4) unsigned NOT NULL default '0',
  `activite` varchar(255) default NULL,
  `pos_typ` smallint(5) unsigned NOT NULL default '1',
  PRIMARY KEY  (`ID_activite`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cdt_type_activite`
--

LOCK TABLES `cdt_type_activite` WRITE;
/*!40000 ALTER TABLE `cdt_type_activite` DISABLE KEYS */;
/*!40000 ALTER TABLE `cdt_type_activite` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ele_absent`
--

DROP TABLE IF EXISTS `ele_absent`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `ele_absent` (
  `ID` smallint(10) unsigned NOT NULL auto_increment,
  `classe_ID` tinyint(4) unsigned default NULL,
  `classe` varchar(50) default NULL,
  `groupe` varchar(50) default NULL,
  `heure` tinyint(4) default NULL,
  `heure_debut` varchar(50) default NULL,
  `heure_fin` varchar(50) default NULL,
  `code_date` varchar(255) default NULL,
  `salle` varchar(50) default NULL,
  `jour_pointe` varchar(50) default NULL,
  `eleve_ID` smallint(4) default NULL,
  `prof_ID` smallint(4) default NULL,
  `motif` varchar(20) default NULL,
  `vie_sco_statut` tinyint(4) default '0',
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `ele_absent`
--

LOCK TABLES `ele_absent` WRITE;
/*!40000 ALTER TABLE `ele_absent` DISABLE KEYS */;
/*!40000 ALTER TABLE `ele_absent` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ele_gic`
--

DROP TABLE IF EXISTS `ele_gic`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `ele_gic` (
  `ID_ele_gic` smallint(10) unsigned NOT NULL auto_increment,
  `ID_ele` smallint(5) unsigned NOT NULL default '0',
  `ID_gic` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`ID_ele_gic`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `ele_gic`
--

LOCK TABLES `ele_gic` WRITE;
/*!40000 ALTER TABLE `ele_gic` DISABLE KEYS */;
/*!40000 ALTER TABLE `ele_gic` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ele_liste`
--

DROP TABLE IF EXISTS `ele_liste`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `ele_liste` (
  `ID_ele` smallint(4) unsigned NOT NULL auto_increment,
  `nom_ele` varchar(50) NOT NULL,
  `prenom_ele` varchar(50) NOT NULL,
  `classe_ele` varchar(20) NOT NULL,
  PRIMARY KEY  (`ID_ele`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `ele_liste`
--

LOCK TABLES `ele_liste` WRITE;
/*!40000 ALTER TABLE `ele_liste` DISABLE KEYS */;
/*!40000 ALTER TABLE `ele_liste` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2011-05-14 18:03:58
